Name:		netpanzer
Version:	0.8.7
Release:	%mkrel 7
License:	GPLv2+
Group:		Games/Strategy
Summary:	An online multiplayer tactical warfare game
URL:		http://netpanzer.berlios.de/
#Source0:	http://www.netpanzer.info/Download/NetPanzer/Releases/%{version}/%{name}-%{version}-source.zip
# Upstream zip doesn't even have it's own directory, let's gain 50% size tarballing it
Source0:	%{name}-%{version}.tar.xz
Source1:	%{name}.desktop
Patch0:		fedora-netpanzer-0.8.2-MapSelectionView-memory.patch
Patch1:		netpanzer-0.8.7-optflags.patch
Patch2:		netpanzer-0.8.7-scons-python3.patch
BuildRequires:	pkgconfig(SDL_net)
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	pkgconfig(SDL_ttf)
BuildRequires:	scons
BuildRequires:	wxgtk3.0-devel
BuildRequires:	pkgconfig(physfs) >= 0.1.9
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils

%description
netPanzer is an online multiplayer tactical warfare game designed for
play across the Internet and over LAN systems. One on one games are
possible via direct connect or modem. netPanzer is designed for FAST
ACTION combat -- it is not another resource management clone. In fact,
there aren't any resources at all. Each player will have many units of
different types at their disposal. Players can fight until their units
are destroyed -- then respawn and keep on going. The game is real-time,
but it's based on quick tactical action and unit management. Battles
progress quickly and constantly; in fact, they never let up. There is no
stop in the action because there is no waiting for resources to be
collected and converted into weaponry. Players can join or leave
multiplayer games at any time.

%prep
%setup -q
%patch0 -p0
%patch1 -p2
%patch2 -p1

%build
%scons datadir=%{_gamesdatadir}/netpanzer

%install
mkdir -p %{buildroot}%{_gamesbindir}
install -m 755 netpanzer %{buildroot}%{_gamesbindir}
mkdir -p %{buildroot}%{_gamesdatadir}/netpanzer/
cp -pr cache/ %{buildroot}%{_gamesdatadir}/netpanzer/
cp -pr maps/ %{buildroot}%{_gamesdatadir}/netpanzer/
cp -pr pics/ %{buildroot}%{_gamesdatadir}/netpanzer/
cp -pr powerups/ %{buildroot}%{_gamesdatadir}/netpanzer/
cp -pr scripts/ %{buildroot}%{_gamesdatadir}/netpanzer/
cp -pr units/ %{buildroot}%{_gamesdatadir}/netpanzer/
cp -pr wads/ %{buildroot}%{_gamesdatadir}/netpanzer/
cp -pr sound/ %{buildroot}%{_gamesdatadir}/netpanzer/

desktop-file-install --vendor="%{_real_vendor}" \
  --remove-category="Application" \
  --add-category="Game;StrategyGame" \
  --dir %{buildroot}%{_datadir}/applications %{SOURCE1}

%{__install} -d %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir}}
convert %{name}.png -size 16x16 %{buildroot}%{_miconsdir}/%{name}.png
convert %{name}.png -size 32x32 %{buildroot}%{_iconsdir}/%{name}.png
convert %{name}.png -size 48x48 %{buildroot}%{_liconsdir}/%{name}.png

%files
%doc 0.8.7-RELEASE.txt COPYING README docs/code-notes.txt docs/coding.txt
%{_gamesdatadir}/%{name}
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_gamesbindir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.8.7-7.mga8
+ Revision: 1533555
- Mageia 8 Mass Rebuild

* Sun Sep 22 2019 daviddavid <daviddavid> 0.8.7-6.mga8
+ Revision: 1444635
- switch build to python3-scons

* Fri Apr 05 2019 daviddavid <daviddavid> 0.8.7-5.mga7
+ Revision: 1386019
- switch to Python2 scons support

* Sun Sep 23 2018 umeabot <umeabot> 0.8.7-4.mga7
+ Revision: 1299712
- Mageia 7 Mass Rebuild

* Sun Oct 01 2017 daviddavid <daviddavid> 0.8.7-3.mga7
+ Revision: 1162213
- patch2: fix build with scons 3.0

* Sat Jun 03 2017 akien <akien> 0.8.7-2.mga6
+ Revision: 1106102
- Rebuild for wxgtk 3.0.3.1

* Sun Nov 13 2016 zezinho <zezinho> 0.8.7-1.mga6
+ Revision: 1067089
- new version after some years

* Fri Feb 05 2016 umeabot <umeabot> 0.8.4-8.mga6
+ Revision: 937645
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.8.4-7.mga6
+ Revision: 937192
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.8.4-6.mga5
+ Revision: 741959
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.4-5.mga5
+ Revision: 682853
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.8.4-4.mga4
+ Revision: 508303
- Mageia 4 Mass Rebuild
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 08 2012 fwang <fwang> 0.8.4-2.mga3
+ Revision: 328094
- fix build with gcc 4.7

* Sun Jan 08 2012 zezinho <zezinho> 0.8.4-1.mga2
+ Revision: 193530
- new version

* Tue Jun 14 2011 zezinho <zezinho> 0.8.3.svn612010-1.mga2
+ Revision: 106306
- imported package netpanzer


* Mon Sep 14 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.8.2-3mdv2010.0
+ Revision: 440324
- rebuild

* Mon Apr 13 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.2-2mdv2009.1
+ Revision: 366801
- fix build
- fix missing files
- fix crash on x86_64
- spec cleanup

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Oct 24 2007 Jérôme Soyer <saispo@mandriva.org> 0.8.2-1mdv2008.1
+ Revision: 101788
- New release


* Tue Sep 12 2006 Emmanuel Andry <eandry@mandriva.org> 0.8-2mdv2007.0
- %%mkrel
- xdg menu
- build with jam instead of boost-jam (doesn't compile)
- add P0 from fedora to fix build
- add P1 and P2 from fedora for cve-2005-2295 and cve-2006-2575

* Thu Feb 03 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.8-1mdk
- 0.8

* Tue Jan 11 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.2.0-0.rc4.1mdk
- 0.2.0rc4

* Wed Nov 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.2.0-0.rc3.1mdk
- 0.2.0rc3
- don't quit on minor error during install

* Tue Oct 19 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.2.0-0.rc2.1mdk
- 0.2.0rc2

* Fri Mar 05 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.1.5-1mdk
- 0.1.5
- drop own icons, use icons shipped with source

* Tue Mar 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.1.4-2mdk
- buildrequires
- do parallel build

* Fri Feb 27 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.1.4-1mdk
- 0.1.4

* Thu Jan 08 2004 Olivier Blin <blino@mandrake.org> 0.1.3-2mdk
- BuildRequires (clean, libxml2-devel)

* Tue Jan 06 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.1.3-1mdk
- 0.1.3

* Wed Nov 12 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.1.2-1mdk
- 0.1.2

* Thu Oct 16 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.1.1-1mdk
- initial mdk release

